Page MenuHomePhabricator

Convert Git2Pages to use extension registration
Closed, ResolvedPublic

Description

See T87875: Convert all Wikimedia-deployed extensions and skins to use extension registration.

This extension has a branch for REL1_26, so there's no need for backwards compatibility.

Event Timeline

Spage raised the priority of this task from to Needs Triage.
Spage updated the task description. (Show Details)
Spage added a subscriber: Spage.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 5 2015, 10:49 PM
Spage updated the task description. (Show Details)Oct 5 2015, 10:53 PM
Spage added a project: good first bug.
Spage set Security to None.
Spage edited subscribers, added: Tgr; removed: Krenair.
Devirk claimed this task.Oct 7 2015, 12:32 PM

Hey! Since this is a microtask and no patches have been submitted here yet, can I submit a patch?

I am really sorry, but I had been working on this task for sometime now. I didn't know we could claim microtasks until we had a patch to submit, so as to allow other aspirants to contribute.

Change 244364 had a related patch set uploaded (by Galorefitz):
Convert Git2Pages to extension registration

https://gerrit.wikimedia.org/r/244364

Devirk removed Devirk as the assignee of this task.Oct 8 2015, 11:49 AM
Tgr added a subscriber: Devirk.Oct 8 2015, 7:17 PM

Sorry about the confusion @Devirk. Are you still looking for a microtask?

Hi,

Thanks you for the patch, I'm looking at it currently.

Change 244364 merged by Dereckson:
Convert Git2Pages to extension registration

https://gerrit.wikimedia.org/r/244364

Dereckson closed this task as Resolved.Oct 11 2015, 9:00 AM
Tgr added a comment.Oct 13 2015, 10:24 PM

@Galorefitz the next step would be to write an application, https://www.mediawiki.org/wiki/Outreachy/Round_11#Candidates has the details. Feel free to contact me or @Spage with any questions.

@Tgr @Spage I will be busy with my mid semester examination till 17th. :/ I'll start working on my application after that. I hope that's okay.

Tgr added a comment.Oct 14 2015, 5:42 PM

Sure. Good luck with the exams :)

Thank you! :)